Subject: Re: [PATCH 4/6] transport: add client support for object-info

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Jul 2024 09:37:28 -0700

Toon claes <[email-masked]> writes:

>> +			temp_ref->old_oid = *(transport->smart_options->object_info_oids->oid + i);
>
> Any reason why you're not using the subscript operator (square brackets)
> like this:
>
> +			temp_ref->old_oid = transport->smart_options->object_info_oids->oid[i];

Much nicer, but fold such overly long lines, please,

			temp_ref->old_oid = transport->smart_options->
				object_info_oids->oid[i];

to make them readable.

> ...
> To be honest, I'm not sure it works, because fetch_object_info() always
> seem to return a non-zero value. I'm not sure this is due to missing
> code coverage, or a bug. I guess it's worth looking into.